%define name hylafax
%define version 4.0pl2
%define gs_font_dir /usr/share/ghostscript/fonts

Summary:	Hylafax is a sophisticated enterprise strength fax package
Name:		%{name}
Version:	%{version}
Release:	2
Copyright:	BSD-like
Group:		Applications/Communications
Source:		ftp://ftp.sgi.com/sgi/fax/src/%{name}-v%{version}.tar.gz
Source1:	hylafax-faxq.init
Source2:	hylafax-hylasetup.sh
Source3:	hylafax-hylaunset.sh
Source4:	hylafax-config
Source5:	hylafax-config.modem
Source6:	hylafax-setup.cache
Source7:	hylafax-setup.modem
Source8:	hylafax-README.rpm
Source9:	hylafax-config.local
Patch0:		hylafax-%{version}-jbj.patch
Patch1:		hylafax-%{version}-rh.patch
Patch2:		hylafax-%{version}-egcs.patch
Patch3:		hylafax-%{version}-misc.patch
Requires:	ghostscript-fonts >= 4.0
Requires:	libgr >= 2.0.13
Requires:	libgr-devel >= 2.0.13
Requires:	libgr-progs >= 2.0.13
Requires:	libtiff >= 3.4
URL:	http://www.vix.com/hylafax/
BuildRoot:	/var/tmp/%{name}-root

%description
Hylafax is a sophisticated enterprise-strength fax package for 
class 1 and 2 fax modems on unix systems. It provides spooling
services and numerous supporting fax management tools. 
The fax clients may reside on machines different from the server
and client implementations exist for a number of platforms including 
windows.

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1 -b .jbj
%patch1 -p1 -b .rh
%patch2 -p1 -b .egcs
%patch3 -p1 -b .misc

%build

cp $RPM_SOURCE_DIR/hylafax-config.local	config.local
cp $RPM_SOURCE_DIR/hylafax-README.rpm	README.rpm

./configure \
	--with-DIR_HTML=/usr/doc/%{name}-%{version}/html \
	--with-DIR_CGI=/usr/doc/%{name}-%{version}/cgi-bin \
	<<EOF
yes
EOF

# XXX HACK: just in case
mv zlib Xzlib
### mv regex Xregex

make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version} -m 755
mkdir -p $RPM_BUILD_ROOT/usr/share -m 755
mkdir -p $RPM_BUILD_ROOT/usr/libexec -m 755
mkdir -p $RPM_BUILD_ROOT/usr/man -m 755
mkdir -p $RPM_BUILD_ROOT/var/spool -m 755

make -e	BIN=$RPM_BUILD_ROOT/usr/bin \
	SBIN=$RPM_BUILD_ROOT/usr/sbin \
	LIBDATA=$RPM_BUILD_ROOT/usr/share/fax \
	LIBEXEC=$RPM_BUILD_ROOT/usr/libexec/fax \
	SPOOL=$RPM_BUILD_ROOT/var/spool/fax \
	MAN=$RPM_BUILD_ROOT/usr/man \
	HTMLDIR=$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/html \
	CGIBIN=$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/cgi-bin \
	install

(cd html/tools; make clean )

# XXX HACK: just installed cgi-bin but /usr/doc/* will be deleted so copy back
rm -rf cgi-bin
( cd $RPM_BUILD_ROOT/usr/doc/%{name}-%{version} ; tar cf - ./cgi-bin) | tar xvf -

mkdir -p $RPM_BUILD_ROOT/usr/share/fax/afm 
cd $RPM_BUILD_ROOT/usr/share/fax/afm 

ln -s %{gs_font_dir}/a010013l.afm AvantGarde-Book.afm
ln -s %{gs_font_dir}/a010033l.afm AvantGarde-BookOblique.afm
ln -s %{gs_font_dir}/a010015l.afm AvantGarde-Demi.afm
ln -s %{gs_font_dir}/a010035l.afm AvantGarde-DemiOblique.afm
ln -s %{gs_font_dir}/b018015l.afm Bookman-Demi.afm
ln -s %{gs_font_dir}/b018035l.afm Bookman-DemiItalic.afm
ln -s %{gs_font_dir}/b018012l.afm Bookman-Light.afm
ln -s %{gs_font_dir}/b018032l.afm Bookman-LightItalic.afm
ln -s %{gs_font_dir}/n022004l.afm Courier-Bold.afm
ln -s %{gs_font_dir}/n022024l.afm Courier-BoldOblique.afm
ln -s %{gs_font_dir}/n022023l.afm Courier-Oblique.afm
ln -s %{gs_font_dir}/n022003l.afm Courier.afm
ln -s %{gs_font_dir}/n019004l.afm Helvetica-Bold.afm
ln -s %{gs_font_dir}/n019024l.afm Helvetica-BoldOblique.afm
ln -s %{gs_font_dir}/n019044l.afm Helvetica-Narrow-Bold.afm
ln -s %{gs_font_dir}/n019064l.afm Helvetica-Narrow-BoldOblique.afm
ln -s %{gs_font_dir}/n019063l.afm Helvetica-Narrow-Oblique.afm
ln -s %{gs_font_dir}/n019043l.afm Helvetica-Narrow.afm
ln -s %{gs_font_dir}/n019023l.afm Helvetica-Oblique.afm
ln -s %{gs_font_dir}/n019003l.afm Helvetica.afm
ln -s %{gs_font_dir}/c059016l.afm NewCenturySchlbk-Bold.afm
ln -s %{gs_font_dir}/c059036l.afm NewCenturySchlbk-BoldItalic.afm
ln -s %{gs_font_dir}/c059033l.afm NewCenturySchlbk-Italic.afm
ln -s %{gs_font_dir}/c059013l.afm NewCenturySchlbk-Roman.afm
ln -s %{gs_font_dir}/p052004l.afm Palatino-Bold.afm
ln -s %{gs_font_dir}/p052024l.afm Palatino-BoldItalic.afm
ln -s %{gs_font_dir}/p052023l.afm Palatino-Italic.afm
ln -s %{gs_font_dir}/p052003l.afm Palatino-Roman.afm
ln -s %{gs_font_dir}/s050000l.afm Symbol.afm
ln -s %{gs_font_dir}/n021004l.afm Times-Bold.afm
ln -s %{gs_font_dir}/n021024l.afm Times-BoldItalic.afm
ln -s %{gs_font_dir}/n021023l.afm Times-Italic.afm
ln -s %{gs_font_dir}/n021023l.afm Times-Oblique.afm
ln -s %{gs_font_dir}/n021003l.afm Times-Roman.afm
ln -s %{gs_font_dir}/z003034l.afm ZapfChancery-MediumItalic.afm
ln -s %{gs_font_dir}/d050000l.afm ZapfDingbats.afm

strip  $RPM_BUILD_ROOT/usr/bin/* || :

for F in hylasetup.sh hylaunset.sh
do
	cp $RPM_SOURCE_DIR/hylafax-${F} $RPM_BUILD_ROOT/var/spool/fax/bin/${F}
done

mkdir -p $RPM_BUILD_ROOT/var/spool/fax/config/defaults
for F in config config.modem setup.cache setup.modem
do
	cp $RPM_SOURCE_DIR/hylafax-${F} $RPM_BUILD_ROOT/var/spool/fax/config/defaults/${F}
done

cd $RPM_BUILD_ROOT/var/spool/fax/bin
ln -s ps2fax.gs ps2fax

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d
install -m755 $RPM_SOURCE_DIR/hylafax-faxq.init $RPM_BUILD_ROOT/etc/rc.d/init.d/faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K05faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K05faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S95faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S95faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S95faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S95faxq
ln -sf ../init.d/faxq $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K05faxq

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/var/spool/fax/bin/hylasetup.sh

%preun
/var/spool/fax/bin/hylaunset.sh

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT README README.rpm html cgi-bin

%attr(-,uucp,uucp) %dir /var/spool/fax
%attr(-,uucp,uucp) %dir /var/spool/fax/bin
%attr(-,uucp,uucp) %dir /var/spool/fax/client
%attr(-,uucp,uucp) %dir /var/spool/fax/config
%attr(-,uucp,uucp) %dir /var/spool/fax/dev
%attr(-,uucp,uucp) %dir /var/spool/fax/etc
%attr(-,uucp,uucp) %dir /var/spool/fax/info
%attr(-,uucp,uucp) %dir /var/spool/fax/log
%attr(-,uucp,uucp) %dir /var/spool/fax/recvq
%attr(-,uucp,uucp) %dir /var/spool/fax/status
%attr(-,uucp,uucp) %dir /var/spool/fax/sendq
%attr(-,uucp,uucp) %dir /var/spool/fax/doneq
%attr(-,uucp,uucp) %dir /var/spool/fax/docq
%attr(-,uucp,uucp) %dir /var/spool/fax/tmp
%attr(-,uucp,uucp) %dir /var/spool/fax/pollq
%attr(-,uucp,uucp) %dir /var/spool/fax/archive
/var/spool/fax/bin/*
/var/spool/fax/config/*
/var/spool/fax/etc/dpsprinter.ps
/var/spool/fax/etc/cover.templ
/var/spool/fax/etc/dialrules*
%attr(-,uucp,uucp) %config /var/spool/fax/etc/xferlog
%attr(-,uucp,uucp) %config /var/spool/fax/etc/hosts
%attr(-,uucp,uucp) %config /var/spool/fax/etc/lutRS18.pcf
%attr(-,uucp,uucp) /var/spool/fax/FIFO
/var/spool/fax/COPYRIGHT

/usr/bin/*
/usr/sbin/*
/usr/share/* 
#/usr/lib/*
/usr/libexec/*
/usr/man/man[158]/*

%config /etc/rc.d/init.d/faxq
%config(missingok) /etc/rc.d/rc0.d/K05faxq
%config(missingok) /etc/rc.d/rc1.d/K05faxq
%config(missingok) /etc/rc.d/rc2.d/S95faxq
%config(missingok) /etc/rc.d/rc3.d/S95faxq
%config(missingok) /etc/rc.d/rc4.d/S95faxq
%config(missingok) /etc/rc.d/rc5.d/S95faxq
%config(missingok) /etc/rc.d/rc6.d/K05faxq

%changelog
* Fri Oct 16 1998 Michael Maher <mike@redhat.com>
- fixed file ownership and rebuilt

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
  - Repackage for powertools.
  - use internal non-posix regex library.

* Wed Mar 04 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - took ldconfig call out ouf %install section
  - minimized and compressed patch
  - arch rpm buildable as ordinary user
  - diverted subpackages for [un]compressed man pages
  - diverted subpackage for html documentation

* Thu Jan 22 1998 Bernd Johannes Wuebben <wuebben@kde.org>
  - hylafax-4.0-8
  - A previous version of this spec file was handed to me by 
    Ramana Juvvadi (juvvadi@lekha.org)  
    who unfortunately can no longer provide rpms of hylafax. 
    Thanks so much for you work Ramana!
    Bernd

* Fri Oct 24 1997 Ramana Juvvadi (juvvadi@lekha.org)
  - hylafax-4.0-6
